import { AmplifyAppSyncAPIConfig, AmplifyAppSyncAuthenticationProviderConfig, AmplifyAppSyncSimulatorConfig, AppSyncSimulatorDataSourceConfig, AppSyncSimulatorFunctionsConfig, AppSyncSimulatorPipelineResolverConfig, AppSyncSimulatorSchemaConfig, AppSyncSimulatorUnitResolverConfig } from 'amplify-appsync-simulator/lib/type-definition';
import * as Serverless from 'serverless';
import * as ServerlessPlugin from 'serverless/classes/Plugin';
import { AmplifyAppSyncSimulatorCustomMappingTemplate, AppSyncSimulatorCustomConfig, AppSyncSimulatorCustomFunctionsConfig, AppSyncSimulatorDataSourceCustomConfig, Options } from './types';
export interface AppSyncSimulatorConfigContext {
    plugin: ServerlessPlugin;
    serverless: Serverless;
    options: Options;
}
export declare class AppSyncSimulatorConfig {
    private context;
    private appSyncConfig;
    private readonly mappingTemplatesLocation;
    private readonly defaultMappingTemplates;
    private logger;
    constructor(context: AppSyncSimulatorConfigContext, appSyncConfig: AppSyncSimulatorCustomConfig);
    getAppSyncConfig(): AmplifyAppSyncSimulatorConfig;
    makeFunctionConfiguration(config: AppSyncSimulatorCustomFunctionsConfig, instance: AppSyncSimulatorConfig): AppSyncSimulatorFunctionsConfig & {
        requestMappingTemplate: string;
        responseMappingTemplate: string;
    };
    makeAppSync(): AmplifyAppSyncAPIConfig;
    getMappingTemplate(filePath: string): string;
    getFileMap(basePath: string, filePath: string): AppSyncSimulatorSchemaConfig;
    makeDataSource(source: AppSyncSimulatorDataSourceCustomConfig, instance: AppSyncSimulatorConfig): AppSyncSimulatorDataSourceConfig;
    makeMappingTemplate(config: AmplifyAppSyncSimulatorCustomMappingTemplate | AppSyncSimulatorCustomFunctionsConfig, type: string, instance: AppSyncSimulatorConfig): string;
    makeResolver(resolver: AmplifyAppSyncSimulatorCustomMappingTemplate, instance: AppSyncSimulatorConfig): AppSyncSimulatorPipelineResolverConfig | AppSyncSimulatorUnitResolverConfig;
    makeAuthType(apiConfig: AppSyncSimulatorCustomConfig): AmplifyAppSyncAuthenticationProviderConfig;
}
