"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElasticDataLoader = void 0;
const axios_1 = require("axios");
class ElasticDataLoader {
    constructor(config) {
        this.config = config;
    }
    async load(req) {
        try {
            const { data } = await axios_1.default.request({
                baseURL: this.config.endpoint,
                url: req.path,
                headers: req.params.headers,
                params: req.params.queryString,
                method: req.operation.toLowerCase(),
                data: req.params.body,
            });
            return data;
        }
        catch (err) {
            console.log(err);
        }
        return null;
    }
}
exports.ElasticDataLoader = ElasticDataLoader;
//# sourceMappingURL=elastic-data-loader.js.map